m0_46105229
2020-02-04 14:39
采纳率: 100%
浏览 4.9k
已采纳

python更新pip失败,困扰了我好久

更新pip老是出现下列一大串的文字,我在网上查了许多方法,都没用,有哪位大佬能说一下有什么方法解决这个问题。
这是使用管理员的运行
C:\Windows\system32>python -m pip install --upgrade pip
WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ReadTimeoutError("HTTPSConnectionPool(host='pypi.org', port=443): Read timed out. (read timeout=15)")': /simple/pip/
Collecting pip
Downloading https://files.pythonhosted.org/packages/54/0c/d01aa759fdc501a58f431eb594a17495f15b88da142ce14b5845662c13f3/pip-20.0.2-py2.py3-none-any.whl (1.4MB)
|█████████████████████▌ | 962kB 2.9kB/s eta 0:02:44ERROR: Exception:
Traceback (most recent call last):
File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 397, in error_catcher
yield
File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 479, in read
data = self._fp.read(amt)
File "D:\Program Files\python\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py", line 62, in read
data = self.
_fp.read(amt)
File "D:\Program Files\python\lib\http\client.py", line 454, in read
n = self.readinto(b)
File "D:\Program Files\python\lib\http\client.py", line 498, in readinto
n = self.fp.readinto(b)
File "D:\Program Files\python\lib\socket.py", line 669, in readinto
return self._sock.recv_into(b)
File "D:\Program Files\python\lib\ssl.py", line 1241, in recv_into
return self.read(nbytes, buffer)
File "D:\Program Files\python\lib\ssl.py", line 1099, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\Program Files\python\lib\site-packages\pip_internal\cli\base_command.py", line 188, in main
status = self.run(options, args)
File "D:\Program Files\python\lib\site-packages\pip_internal\commands\install.py", line 345, in run
resolver.resolve(requirement_set)
File "D:\Program Files\python\lib\site-packages\pip_internal\legacy_resolve.py", line 196, in resolve
self._resolve_one(requirement_set, req)
File "D:\Program Files\python\lib\site-packages\pip_internal\legacy_resolve.py", line 359, in resolve_one
abstract_dist = self._get_abstract_dist_for(req_to_install)
File "D:\Program Files\python\lib\site-packages\pip_internal\legacy_resolve.py", line 305, in _get_abstract_dist_for
abstract_dist = self.preparer.prepare_linked_requirement(
File "D:\Program Files\python\lib\site-packages\pip_internal\operations\prepare.py", line 195, in prepare_linked_requirement
unpack_url(
File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 1058, in unpack_url
unpack_http_url(
File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 920, in unpack_http_url
from_path, content_type = _download_http_url(link,
File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 1152, in _download_http_url
_download_url(resp, link, content_file, hashes, progress_bar)
File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 861, in _download_url
hashes.check_against_chunks(downloaded_chunks)
File "D:\Program Files\python\lib\site-packages\pip_internal\utils\hashes.py", line 75, in check_against_chunks
for chunk in chunks:
File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 829, in written_chunks
for chunk in chunks:
File "D:\Program Files\python\lib\site-packages\pip_internal\utils\ui.py", line 156, in iter
for x in it:
File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 794, in resp_read
for chunk in resp.raw.stream(
File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 531, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 496, in read
raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
File "D:\Program Files\python\lib\contextlib.py", line 131, in __exit
_
self.gen.throw(type, value, traceback)
File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 402, in _error_catcher
raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
WARNING: You are using pip version 19.2.3, however version 20.0.2 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

  • 写回答
  • 好问题 提建议
  • 关注问题
  • 收藏
  • 邀请回答

9条回答 默认 最新

  • 家在田塍 2020-02-04 17:19
    已采纳

    因为太慢了,采用这个清华的镜像源试试。

    python -m pip install --upgrade pip -i https://pypi.tuna.tsinghua.edu.cn/simple/
    
    已采纳该答案
    评论
    解决 26 无用 1
    打赏 举报
  • Ark_py 2020-04-06 15:17

    国内网络下载pip什么的很慢的,15秒进度条不动就崩,建议python -m pip install --upgrade pip --timeout 480
    可以设置超时时间为八分钟,绝大多数八分钟进度条都会动,以后你用pip下载任何Python模块都可以加上后面timeout那一小段

    评论
    解决 1 无用
    打赏 举报
  • Zac.yi 2020-02-19 13:01

    建议去直接下载pip的.whl文件
    然后win+r
    pip install 把下载的文件拉进去
    回车就好了

    评论
    解决 无用
    打赏 举报
  • a small tree 2020-02-27 09:48

    直接卸载后,去官网下载最新版,解压后用Python在终端启动解压后里面的setup.py文件就会重新安装pip,要在终端调用pip添加环境变量就可以了。

    评论
    解决 无用
    打赏 举报
  • m0_46430705 2020-02-28 16:16

    你主要是pip3解析, 你输入 pip3 install wheel 成功后就可以用pip3下模块,有些要更新版本

    评论
    解决 无用
    打赏 举报
  • m0_49471280 2020-09-20 20:27

    update试下,一定要区别是python2还是python3

    评论
    解决 无用
    打赏 举报
  • 无言一面 2020-12-02 16:23

    用豆瓣源

    评论
    解决 无用
    打赏 举报
  • Cabbagelang 2021-07-19 14:32

    你可以尝试卸载再重新安装Python(别忘了备份)

    评论
    解决 无用
    打赏 举报
  • GGBond990907 2020-12-24 15:26

    python -m pip install --upgrade pip -i https://pypi.tuna.tsinghua.edu.cn/simple/

    评论
    解决 无用 1
    打赏 举报

相关推荐 更多相似问题